<?php

namespace Factory;

use \Teknisa\Model\Teknisa\Entities;

use Util\InstanceProvider;

class CpCustomerPreferences {
    
     function saveDefaultPreferences($cpEntity, $view, $layout, $filter, $cdcliente, $nrorg, $now, $userId)
     {
        if(!$cpEntity) {
            $entity = new Entities\CpCustomerPreferences();
            $newCodeService = InstanceProvider::getService()->getNewCode();
            $newId = $newCodeService->getCodeByTableName('CP_CUSTOMER_PREFERENCES', $nrorg, 1, 10, true );
            $entity->setId($newId);
            $entity->setNrorginclusao($nrorg);
            $entity->setCdoperinclusao($userId);
            $entity->setDtinclusao($now);
        } else {
            $entity = $cpEntity;
        }
        $entity->setNrorgultatu($nrorg);
        $entity->setCdoperultatu($userId);
        $entity->setDtultatu($now);
        $entity->setLayoutId($layout);
        $entity->setFilterId($filter);
        $entity->setViewId($view);
        $entity->setCdcliente($cdcliente);
        $entity->setNrorg($nrorg);
        return $entity;
    }

    
}